// InternetUpdateEm.cpp: implementation of the CInternetUpdateEm class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "InternetUpdateEm.h"

void CInternetUpdateEm::Download(WORD wVersion1, WORD wVersion2, WORD wVersion3, WORD wVersion4)
{
	try
	{
		CInternetUpdate::Download(wVersion1, wVersion2, wVersion3, wVersion4);
	}
	catch(CException* e)
	{
		CString strError = e->GetErrorMessage();
		delete e;
		e = NULL;
		::MessageBox(NULL, strError, "Update test error", MB_ICONSTOP);
	}
}

void CInternetUpdateEm::DownloadAndInstall(LPCTSTR lpszFolder)
{
	try
	{
		CInternetUpdate::DownloadAndInstall(lpszFolder);
	}
	catch(CException* e)
	{
		CString strError = e->GetErrorMessage();
		delete e;
		e = NULL;
		::MessageBox(NULL, strError, "Update test error", MB_ICONSTOP);
	}
}
