// Exception.h: interface for the CException class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_Exception_H__AACB98AB_6522_4415_9191_525CF1108CE8__INCLUDED_)
#define AFX_Exception_H__AACB98AB_6522_4415_9191_525CF1108CE8__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

///////////////////////////////////////////////////////////////////////////
// class CException

class CException
{
public:
// Constructors and Destructors
	CException(LPCTSTR lpszErrorMessage
#ifdef _DEBUG
											 , BOOL boAssert = TRUE
#endif
		, LPCTSTR lpszAttachFileName = NULL);
	virtual ~CException();

	LPCTSTR GetErrorMessage()
		{ return m_strErrorMessage;}
	LPCTSTR GetAttachFileName()
		{ return m_strAttachFileName;}

// Attributes
private:
	CString m_strErrorMessage;
	CString m_strAttachFileName;
};

#endif // !defined(AFX_Exception_H__AACB98AB_6522_4415_9191_525CF1108CE8__INCLUDED_)
